IDEA plugins can be used in the RubyMine 1.0?

First some plugins are very useful in IDEA , and they are also very useful for RubyMine. Now I can not install these plugins to the RubyMine, and RubyMine ignores all the third parties plugins. I wonder it is hard to implement such a feature(plugin compatible)? Thanks.

8 comments
Comment actions Permalink

We are working on it. E.g html/xml support is provided by corresponding IDEA's bundled plugins. But such plugins should be marked as compatible with RubyMine and should use only IDEA platform/RubyMine API.

0
Comment actions Permalink

Hello linux_china,

First some plugins are very useful in IDEA
, and they are also very useful
for RubyMine. Now I can not install these plugins to the RubyMine, and
RubyMine ignores all the third parties plugins. I wonder it is hard to
implement such a feature(plugin compatible)? Thanks.


Because RubyMine doesn't include all of the IntelliJ IDEA plugin APIs, plugin
developers must explicitly verify that they don't use any of the missing
APIs. If they don't, there's already a possibility to mark the plugin as
compatible with RubyMine (and other products based on the IDEA platform).

We're going to publish the development kit for RubyMine and the information
on marking plugins compatible soon.

Of course, there's no possibility of making all IDEA plugins work in RubyMine.

--
Dmitry Jemerov
Development Lead
JetBrains, Inc.
http://www.jetbrains.com/
"Develop with Pleasure!"


0
Comment actions Permalink

I can't live without the TabSwitch plugin, which I think only uses basic UI elements.  Whats the magic incantation that I need to perform to its plugin.xml to get RubyMine to try and use it?

0
Comment actions Permalink

Hello Matt,

I can't live without the TabSwitch plugin, which I think only uses
basic UI elements.  Whats the magic incantation that I need to perform
to its plugin.xml to get RubyMine to try and use it?


Add the following element to the plugin.xml file:

<depends>com.intellij.modules.lang</depends>


I haven't tried it myself, but I would expect TabSwitch to work just fine
with RubyMine.

--
Dmitry Jemerov
Development Lead
JetBrains, Inc.
http://www.jetbrains.com/
"Develop with Pleasure!"

0
Comment actions Permalink

Tease!
Maybe you need to escape some xml?

0
Comment actions Permalink

Hello Matt,

Tease!
Maybe you need to escape some xml?


Not me, but the forums engine. :) Replacing angle brackets with parentheses:

(depends)com.intellij.modules.lang(/depends)

--
Dmitry Jemerov
Development Lead
JetBrains, Inc.
http://www.jetbrains.com/
"Develop with Pleasure!"


0
Comment actions Permalink

Excellent, that worked perfectly, thanks!

Matt

0
Comment actions Permalink

Great! Now I can use Regex, TabSwitch in RubyMine now.

0

Please sign in to leave a comment.